From b232abc846feab83ab19f6ca640481d2fc0afcea Mon Sep 17 00:00:00 2001
From: kirk <k.jamison@jp.fujitsu.com>
Date: Wed, 9 Jan 2019 05:25:05 +0000
Subject: [PATCH] [Patch] minor comment fix in md.c

---
 src/backend/storage/smgr/md.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/storage/smgr/md.c b/src/backend/storage/smgr/md.c
index e4501ff..3f8a7d5 100644
--- a/src/backend/storage/smgr/md.c
+++ b/src/backend/storage/smgr/md.c
@@ -171,7 +171,7 @@ static CycleCtr mdckpt_cycle_ctr = 0;
 #define EXTENSION_CREATE_RECOVERY	(1 << 3)
 /*
  * Allow opening segments which are preceded by segments smaller than
- * RELSEG_SIZE, e.g. inactive segments (see above). Note that this is breaks
+ * RELSEG_SIZE, e.g. inactive segments (see above). Note that this breaks
  * mdnblocks() and related functionality henceforth - which currently is ok,
  * because this is only required in the checkpointer which never uses
  * mdnblocks().
@@ -882,7 +882,7 @@ mdnblocks(SMgrRelation reln, ForkNumber forknum)
 		segno++;
 
 		/*
-		 * We used to pass O_CREAT here, but that's has the disadvantage that
+		 * We used to pass O_CREAT here, but that has the disadvantage that
 		 * it might create a segment which has vanished through some operating
 		 * system misadventure.  In such a case, creating the segment here
 		 * undermines _mdfd_getseg's attempts to notice and report an error
-- 
1.8.3.1

